Subject: [core] [Editorial Errata Reported] RFC7252 (4895)

From: RFC Errata System <[email-masked]>
Date: Fri, 23 Dec 2016 01:15:31 -0800 (PST)

The following errata report has been submitted for RFC7252,
"The Constrained Application Protocol (CoAP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7252&eid=4895

--------------------------------------
Type: Editorial
Reported by: Esko Dijk <[email-masked]>

Section: 6.4

Original Text
-------------
Note that these rules completely resolve any percent-encoding.

Corrected Text
--------------
Note that these rules completely resolve any percent-encoding. Also 
note that a trailing slash character in the <path> component represents
a separate, zero-character path segment (see [RFC3986] Section 3.3 
ABNF) and therefore it is encoded using a Uri-Path Option of zero
length.

Notes
-----
The current specification for decomposing a URI into CoAP Options (Section 6.4) is correct; however the text may still be unclear to implementers who may think that the phrase "not including the delimiting slash characters" means simply omitting a trailing slash character in the URI path. This is incorrect. See the discussion outcome in email thread https://www.ietf.org/mail-archive/web/core/current/msg08223.html . Therefore, a minor clarification is proposed in the notes after the parsing steps.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7252 (draft-ietf-core-coap-18)
--------------------------------------
Title               : The Constrained Application Protocol (CoAP)
Publication Date    : June 2014
Author(s)           : Z. Shelby, K. Hartke, C. Bormann
Category            : PROPOSED STANDARD
Source              : Constrained RESTful Environments APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG